Index: issm/branches/trunk-jpl-damage/src/m/classes/clusters/generic.py
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/clusters/generic.py	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/clusters/generic.py	(revision 12878)
@@ -1,14 +1,24 @@
-#GENERIC cluster class definition
-#
-#   Usage:
-#      cluster=generic('name','astrid',);
-#      cluster=generic('name','astrid','np',3);
-#      cluster=generic('name',oshostname(),'np',3,'login','username');
+import socket
+import os
+import math
+import platform
+import subprocess
+from issmdir import *
+from pairoptions import *
+from issmssh import *
+from issmscpin import *
+from issmscpout import *
 
+class generic(object):
+	"""
+	GENERIC cluster class definition
+ 
+	    Usage:
+	       cluster=generic('name','astrid','np',3);
+	       cluster=generic('name',oshostname(),'np',3,'login','username');
+	"""
 
-class generic:
-	#properties
-	def __init__(self):
-		# {{{ Properties
+	def __init__(self,*args):    # {{{
+
 		self.name=''
 		self.login=''
@@ -16,202 +26,160 @@
 		self.port=0
 		self.interactive=1
-		self.codepath=issmdir() + '/bin'
-		self.executionpath=issmdir() + '/execution'
-		self.valgrind=issmdir() + '/externalpackages/valgrind/install/bin/valgrind'
-		self.valgrindlib=issmdir() + '/externalpackages/valgrind/install/lib/libmpidebug.so'
-		self.valgrindsup=issmdir() + '/externalpackages/valgrind/issm.supp'
-		#}}}
-	def __repr__(obj):
-		# {{{ Display
-		
-		string="class 'generic' object:"
-		string="%s\n\n%s"%(string,"%s%s"%('    name: ',obj.name))
-		string="%s\n%s"%(string,"%s%i"%('    np: ',obj.np))
-		string="%s\n%s"%(string,"%s%i"%('    port: ',obj.port))
-		string="%s\n%s"%(string,"%s%s"%('    codepath: ',obj.codepath))
-		string="%s\n%s"%(string,"%s%s"%('    executionpath: ',obj.executionpath))
-		string="%s\n%s"%(string,"%s%s"%('    valgrind: ',obj.valgrind))
-		string="%s\n%s"%(string,"%s%s"%('    valgrindlib: ',obj.valgrindlib))
-		string="%s\n%s"%(string,"%s%s"%('    valgrindsup: ',obj.valgrindsup))
-		return string
-		#}}}
-		
+		self.codepath=issmdir()+'/bin'
+		self.executionpath=issmdir()+'/execution'
+		self.valgrind=issmdir()+'/externalpackages/valgrind/install/bin/valgrind'
+		self.valgrindlib=issmdir()+'/externalpackages/valgrind/install/lib/libmpidebug.so'
+		self.valgrindsup=issmdir()+'/externalpackages/valgrind/issm.supp'
 
-#old matlab
-#		function cluster=generic(varargin) % {{{1
-#
-#			 %use provided options to change fields
-#			 options=pairoptions(varargin{:});
-#
-#			 %get name
-#			 if ~exist(options,'name'), error('option ''name'' has not been provided'); end
-#			 cluster.name=getfieldvalue(options,'name');
-#
-#			 %initialize cluster using user settings if provided
-#			 if (exist([cluster.name '_settings'])==2), eval([cluster.name '_settings']); end
-#
-#			 %OK get other fields
-#			 for i=1:size(options.list,1),
-#				 fieldname=options.list{i,1};
-#				 fieldvalue=options.list{i,2};
-#				 if ismember(fieldname,properties('generic')),
-#					 cluster.(fieldname)=fieldvalue;
-#				 else
-#					 disp(['''' fieldname ''' is not a property of cluster generic']);
-#				 end
-#			 end
-#		 end
-#		 %}}}
-#		 function checkconsistency(cluster,md,solution,analyses) % {{{1
-#			 if cluster.np<1
-#				 checkmessage(['number of processors should be at least 1']);
-#			 end
-#			 if isnan(cluster.np),
-#				 checkessage('number of processors should not be NaN!');
-#			 end
-#		 end
-#		 %}}}
-#		 function BuildQueueScript(cluster,md) % {{{1
-#		 
-#			 %retrieve parameters
-#			 modelname=md.miscellaneous.name;
-#			 solution=md.private.solution;
-#			 isvalgrind=md.debug.valgrind;
-#			 isgprof=md.debug.gprof;
-#
-#			 %open file for writing: 
-#			 if ~ispc,
-#				 fid=fopen([modelname '.queue'],'w');
-#			 else
-#				 fid=fopen([modelname '.bat'],'w');
-#			 end
-#
-#			 %write instructions for launching a job on the cluster
-#			 if ~ispc,
-#				 fprintf(fid,'#!/bin/sh\n');
-#			 else
-#				 fprintf(fid,'@echo off\n');
-#			 end
-#			 
-#			 if ~isvalgrind,
-#				 if cluster.interactive
-#					 if ~ispc,
-#						 fprintf(fid,'mpiexec -np %i %s/issm.exe %s %s %s ',cluster.np,cluster.codepath,EnumToString(solution),cluster.executionpath,modelname);
-#					 else
-#						 fprintf(fid,'"%s/issm.exe" %s "%s" %s ',cluster.codepath,EnumToString(solution),cluster.executionpath,modelname);
-#					 end
-#				 else
-#					 if ~ispc,
-#						 fprintf(fid,'mpiexec -np %i %s/issm.exe %s %s %s 2> %s.errlog >%s.outlog ',cluster.np,cluster.codepath,EnumToString(solution),cluster.executionpath,modelname,modelname,modelname);
-#					 else
-#						 fprintf(fid,'"%s/issm.exe" %s "%s" %s 2> %s.errlog >%s.outlog ',cluster.codepath,EnumToString(solution),cluster.executionpath,modelname,modelname,modelname);
-#					 end
-#				 end
-#			 else
-#				 if ~ispc,
-#					 %Add --gen-suppressions=all to get suppression lines
-#					 fprintf(fid,'LD_PRELOAD=%s \\\n',cluster.valgrindlib);
-#					 fprintf(fid,'mpiexec -np %i %s --leak-check=full --suppressions=%s %s/issm.exe %s %s %s 2> %s.errlog >%s.outlog ',...
-#					 cluster.np,cluster.valgrind,cluster.valgrindsup, cluster.codepath,EnumToString(solution),cluster.executionpath,modelname,modelname,modelname);
-#				 else
-#					 error('valgrind not supported on windows platforms');
-#				 end
-#			 end
-#
-#			 if isgprof,
-#				 if ~ispc,
-#					 fprintf(fid,'\n gprof %s/issm.exe gmon.out > %s.performance',cluster.codepath,modelname);
-#				 else
-#					 error('gprof not supported on windows platforms');
-#				 end
-#
-#			 end
-#
-#			 if ~md.settings.io_gather,
-#				 if ~ispc,
-#					 %concatenate the output files:
-#					 fprintf(fid,'\ncat %s.outbin.* > %s.outbin',modelname,modelname);
-#				 else
-#					 error('iogather not supported on windows platforms');
-#				 end
-#
-#			 end
-#			 
-#			 %close file: 
-#			 fclose(fid);
-#
-#			 %in interactive mode, create a run file, and errlog and outlog file
-#			 if cluster.interactive,
-#				 fid=fopen([modelname '.errlog'],'w'); fclose(fid);
-#				 fid=fopen([modelname '.outlog'],'w'); fclose(fid);
-#			 end
-#
-#
-#		 end
-#		 %}}}
-#		 function LaunchQueueJob(cluster,md,options)% {{{1
-#			 
-#			 if ~ispc,
-#					 %lauch command, to be executed via ssh
-#					 launchcommand=['cd ' cluster.executionpath ' && rm -rf ./' md.private.runtimename ' && mkdir ' md.private.runtimename ...
-#					 ' && cd ' md.private.runtimename ' && mv ../' md.private.runtimename '.tar.gz ./ && tar -zxf ' md.private.runtimename '.tar.gz  && source  ' md.miscellaneous.name '.queue '];
-#
-#					 if ~strcmpi(options.batch,'yes'),
-#
-#						 %compress the files into one zip.
-#						 compressstring=['tar -zcf ' md.private.runtimename '.tar.gz ' md.miscellaneous.name '.bin ' md.miscellaneous.name '.queue '  md.miscellaneous.name '.petsc '];
-#						 if md.qmu.isdakota,
-#							 compressstring=[compressstring md.miscellaneous.name '.qmu.in'];
-#					end
-#					if cluster.interactive,
-#						compressstring=[compressstring ' ' md.miscellaneous.name '.errlog ' md.miscellaneous.name '.outlog '];
-#					end
-#					system(compressstring);
-#
-#					disp('uploading input file and queueing script');
-#					issmscpout(cluster.name,cluster.executionpath,cluster.login,cluster.port,{[md.private.runtimename '.tar.gz']});
-#
-#					disp('launching solution sequence on remote cluster');
-#					issmssh(cluster.name,cluster.login,cluster.port,launchcommand);
-#				else
-#					disp('batch mode requested: not launching job interactively');
-#					disp('launch solution sequence on remote cluster by hand');
-#				end
-#			else
-#				%launch right here, do not compress or archive.
-#				system([md.miscellaneous.name '.bat']);
-#			end
-#
-#		end %}}}
-#		 function Download(cluster,md)% {{{1
-#
-#			if ~ispc,
-#				%some check
-#				if isempty(md.private.runtimename),
-#					error('supply runtime name for results to be loaded!');
-#				end
-#
-#				%Figure out the  directory where all the files are in: 
-#				directory=[cluster.executionpath '/' md.private.runtimename '/'];
-#
-#				%What packages are we picking up from remote cluster
-#				packages={[md.miscellaneous.name '.outlog'],[md.miscellaneous.name '.errlog']};
-#				if md.qmu.isdakota,
-#					packages{end+1}=[md.miscellaneous.name '.qmu.err'];
-#					packages{end+1}=[md.miscellaneous.name '.qmu.out'];
-#					if isfield(md.qmu.params,'tabular_graphics_data'),
-#						if md.qmu.params.tabular_graphics_data==true,
-#							packages{end+1}='dakota_tabular.dat'; 
-#						end
-#					end
-#				else
-#					packages{end+1}=[md.miscellaneous.name '.outbin'];
-#				end
-#
-#				%copy files from cluster to present directory
-#				issmscpin(cluster.name, cluster.login, cluster.port, directory, packages);
-#			else
-#				%do nothing!
-#			end
-#		end %}}}
-#
+		#use provided options to change fields
+		options=pairoptions(*args)
+
+		#get name
+		self.name=options.getfieldvalue('name',socket.gethostname().lower().split('.')[0])
+
+		#initialize cluster using user settings if provided
+		if os.path.exists(self.name+'_settings.py'):
+			execfile(self.name+'_settings.py',globals())
+
+		#OK get other fields
+		self=options.AssignObjectFields(self)
+	# }}}
+
+	def __repr__(self):    # {{{
+		#  display the object
+		s ="class '%s' object '%s' = \n" % (type(self),'self')
+		s+="    name: %s\n" % self.name
+		s+="    login: %s\n" % self.login
+		s+="    np: %i\n" % self.np
+		s+="    port: %i\n" % self.port
+		s+="    codepath: %s\n" % self.codepath
+		s+="    executionpath: %s\n" % self.executionpath
+		s+="    valgrind: %s\n" % self.valgrind
+		s+="    valgrindlib: %s\n" % self.valgrindlib
+		s+="    valgrindsup: %s\n" % self.valgrindsup
+		return s
+	# }}}
+
+	def checkconsistency(self,md,solution,analyses):    # {{{
+		if self.np<1:
+			md = checkmessage(md,'number of processors should be at least 1')
+		if math.isnan(self.np):
+			md = checkmessage(md,'number of processors should not be NaN!')
+
+		return md
+	# }}}
+
+	def BuildQueueScript(self,dirname,modelname,solution,io_gather,isvalgrind,isgprof):    # {{{
+
+		#write queuing script 
+		if not 'Windows' in platform.system():
+
+			fid=open(modelname+'.queue','w')
+			fid.write('#!/bin/sh\n')
+			if not isvalgrind:
+				if self.interactive:
+					fid.write('mpiexec -np %i %s/issm.exe %s %s %s ' % (self.np,self.codepath,EnumToString(solution),self.executionpath,modelname))
+				else:
+					fid.write('mpiexec -np %i %s/issm.exe %s %s %s 2> %s.errlog >%s.outlog ' % (self.np,self.codepath,EnumToString(solution),self.executionpath,modelname,modelname,modelname))
+			elif isgprof:
+				fid.write('\n gprof %s/issm.exe gmon.out > %s.performance' % (self.codepath,modelname))
+			else:
+				#Add --gen-suppressions=all to get suppression lines
+				fid.write('LD_PRELOAD=%s \\\n' % self.valgrindlib)
+				fid.write('mpiexec -np %i %s --leak-check=full --suppressions=%s %s/issm.exe %s %s %s 2> %s.errlog >%s.outlog ' % \
+					(self.np,self.valgrind,self.valgrindsup,self.codepath,EnumToString(solution),self.executionpath,modelname,modelname,modelname))
+			if not io_gather:    #concatenate the output files:
+				fid.write('\ncat %s.outbin.* > %s.outbin' % (modelname,modelname))
+			fid.close()
+
+		else:    # Windows
+
+			fid=open(modelname+'.bat','w')
+			fid.write('@echo off\n')
+			if self.interactive:
+				fid.write('"%s/issm.exe" %s "%s" %s ' % (self.codepath,EnumToString(solution),self.executionpath,modelname))
+			else:
+				fid.write('"%s/issm.exe" %s "%s" %s 2> %s.errlog >%s.outlog' % \
+					(self.codepath,EnumToString(solution),self.executionpath,modelname,modelname,modelname))
+			fid.close()
+
+		#in interactive mode, create a run file, and errlog and outlog file
+		if self.interactive:
+			fid=open(modelname+'.errlog','w')
+			fid.close()
+			fid=open(modelname+'.outlog','w')
+			fid.close()
+	# }}}
+
+	def BuildKrigingQueueScript(self,modelname,solution,io_gather,isvalgrind,isgprof):    # {{{
+
+		#write queuing script 
+		if not 'Windows' in platform.system():
+
+			fid=open(modelname+'.queue','w')
+			fid.write('#!/bin/sh\n')
+			if not isvalgrind:
+				if self.interactive:
+					fid.write('mpiexec -np %i %s/kriging.exe %s %s ' % (self.np,self.codepath,self.executionpath,modelname))
+				else:
+					fid.write('mpiexec -np %i %s/kriging.exe %s %s 2> %s.errlog >%s.outlog ' % (self.np,self.codepath,self.executionpath,modelname,modelname,modelname))
+			elif isgprof:
+				fid.write('\n gprof %s/kriging.exe gmon.out > %s.performance' & (self.codepath,modelname))
+			else:
+				#Add --gen-suppressions=all to get suppression lines
+				fid.write('LD_PRELOAD=%s \\\n' % self.valgrindlib)
+				fid.write('mpiexec -np %i %s --leak-check=full --suppressions=%s %s/kriging.exe %s %s 2> %s.errlog >%s.outlog ' % \
+					(self.np,self.valgrind,self.valgrindsup,self.codepath,self.executionpath,modelname,modelname,modelname))
+			if not io_gather:    #concatenate the output files:
+				fid.write('\ncat %s.outbin.* > %s.outbin' % (modelname,modelname))
+			fid.close()
+
+		else:    # Windows
+
+			fid=open(modelname+'.bat','w')
+			fid.write('@echo off\n')
+			if self.interactive:
+				fid.write('"%s/issm.exe" %s "%s" %s ' % (self.codepath,EnumToString(solution),self.executionpath,modelname))
+			else:
+				fid.write('"%s/issm.exe" %s "%s" %s 2> %s.errlog >%s.outlog' % \
+					(self.codepath,EnumToString(solution),self.executionpath,modelname,modelname,modelname))
+			fid.close()
+
+		#in interactive mode, create a run file, and errlog and outlog file
+		if self.interactive:
+			fid=open(modelname+'.errlog','w')
+			fid.close()
+			fid=open(modelname+'.outlog','w')
+			fid.close()
+	# }}}
+
+	def LaunchQueueJob(self,modelname,dirname,filelist):    # {{{
+
+		#compress the files into one zip.
+		compressstring='tar -zcf %s.tar.gz ' % dirname
+		for file in filelist:
+			compressstring += ' %s' % file
+		if self.interactive:
+			compressstring += ' %s.errlog %s.outlog ' % (modelname,modelname)
+		subprocess.call(compressstring,shell=True)
+
+		print 'uploading input file and queueing script'
+		issmscpout(self.name,self.executionpath,self.login,self.port,[dirname+'.tar.gz'])
+
+		print 'launching solution sequence on remote cluster'
+		launchcommand='cd %s && rm -rf ./%s && mkdir %s && cd %s && mv ../%s.tar.gz ./ && tar -zxf %s.tar.gz  && source  %s.queue ' % \
+			(self.executionpath,dirname,dirname,dirname,dirname,dirname,modelname)
+		issmssh(self.name,self.login,self.port,launchcommand)
+	# }}}
+
+	def Download(self,dirname,filelist):     # {{{
+
+		if 'Windows' in platform.system():
+			#do nothing
+			return
+
+		#copy files from cluster to current directory
+		directory='%s/%s/' % (self.executionpath,dirname)
+		issmscpin(self.name,self.login,self.port,directory,filelist)
+	# }}}
+
Index: issm/branches/trunk-jpl-damage/src/m/classes/clusters/greenplanet.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/clusters/greenplanet.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/clusters/greenplanet.m	(revision 12878)
@@ -8,5 +8,5 @@
 classdef greenplanet
     properties (SetAccess=public)  
-		 % {{{1
+		 % {{{
 		 name='greenplanet'
 		 login='';
@@ -24,5 +24,5 @@
 	 end
 	 methods
-		 function cluster=greenplanet(varargin) % {{{1
+		 function cluster=greenplanet(varargin) % {{{
 
 			 %initialize cluster using default settings if provided
@@ -33,5 +33,5 @@
 		 end
 		 %}}}
-		 function disp(cluster) % {{{1
+		 function disp(cluster) % {{{
 			 %  display the object
 			 disp(sprintf('class ''%s'' object ''%s'' = ',class(cluster),inputname(1)));
@@ -48,5 +48,5 @@
 		 end
 		 %}}}
-		 function checkconsistency(cluster,md,solution,analyses) % {{{1
+		 function md = checkconsistency(cluster,md,solution,analyses) % {{{
 
 			 available_queues={'rignot','default'};
@@ -57,23 +57,20 @@
 
 			 %Miscelaneous
-			 if isempty(cluster.login), checkmessage('login empty'); end
-			 if isempty(cluster.codepath), checkmessage('codepath empty'); end
-			 if isempty(cluster.executionpath), checkmessage('executionpath empty'); end
+			 if isempty(cluster.login), md = checkmessage(md,'login empty'); end
+			 if isempty(cluster.codepath), md = checkmessage(md,'codepath empty'); end
+			 if isempty(cluster.executionpath), md = checkmessage(md,'executionpath empty'); end
 
 		 end
 		 %}}}
-		 function BuildQueueScript(cluster,md) % {{{1
+		 function BuildQueueScript(cluster,dirname,modelname,solution,io_gather,isvalgrind,isgprof) % {{{
 
-			 %retrieve parameters 
-			 modelname=md.miscellaneous.name; 
-			 solution=md.private.solution;
-			 isvalgrind=md.debug.valgrind;
+			 if(isvalgrind), disp('valgrind not supported by cluster, ignoring...'); end
+			 if(isgprof),    disp('gprof not supported by cluster, ignoring...'); end
 
 			 %compute number of processors
 			 cluster.np=cluster.numnodes*cluster.cpuspernode;
 
-			 %open file for writing: 
+			 %write queuing script 
 			 fid=fopen([modelname '.queue'],'w');
-
 			 fprintf(fid,'#PBS -S /bin/bash\n');
 			 fprintf(fid,'#PBS -N %s\n',modelname);
@@ -84,14 +81,9 @@
 			 fprintf(fid,'#PBS -o %s.outlog \n',modelname);
 			 fprintf(fid,'#PBS -e %s.errlog \n\n',modelname);
-
-			 fprintf(fid,'cd %s/%s\n\n',cluster.executionpath,md.private.runtimename);
+			 fprintf(fid,'cd %s/%s\n\n',cluster.executionpath,dirname);
 			 fprintf(fid,'mpiexec -np %i %s/issm.exe %s %s %s\n',cluster.np,cluster.codepath,EnumToString(solution),cluster.executionpath,modelname);
-
-			 if ~md.settings.io_gather,
-				 %concatenate the output files:
+			 if ~io_gather, %concatenate the output files:
 				 fprintf(fid,'cat %s.outbin.* > %s.outbin',modelname,modelname);
 			 end
-
-			 %close file
 			 fclose(fid);
 
@@ -100,7 +92,5 @@
 				 fid=fopen([modelname '.run'],'w');
 				 fprintf(fid,'mpiexec -np %i %s/issm.exe %s %s %s\n',cluster.np,cluster.codepath,EnumToString(solution),cluster.executionpath,modelname);
-
-				 if ~md.settings.io_gather,
-					 %concatenate the output files:
+				 if ~io_gather, %concatenate the output files:
 					 fprintf(fid,'cat %s.outbin.* > %s.outbin',modelname,modelname);
 				 end
@@ -112,82 +102,31 @@
 			 end
 		 end %}}}
-		 function LaunchQueueJob(cluster,md,options)% {{{1
-			 
-			 %lauch command, to be executed via ssh
-			 if ~cluster.interactive, 
-				launchcommand=['cd ' cluster.executionpath ' && rm -rf ./' md.private.runtimename ' && mkdir ' md.private.runtimename ...
-			                ' && cd ' md.private.runtimename ' && mv ../' md.private.runtimename '.tar.gz ./ && tar -zxf ' md.private.runtimename '.tar.gz  && qsub ' md.miscellaneous.name '.queue '];
-			else
-				launchcommand=['cd ' cluster.executionpath '/Interactive' num2str(cluster.interactive) ' && tar -zxf ' md.private.runtimename '.tar.gz'];
-			end
+		 function LaunchQueueJob(cluster,modelname,dirname,filelist)% {{{
 
-			if ~strcmpi(options.batch,'yes'),
-				
-				%compress the files into one zip.
-				compressstring=['tar -zcf ' md.private.runtimename '.tar.gz ' md.miscellaneous.name '.bin ' md.miscellaneous.name '.queue '  md.miscellaneous.name '.petsc '];
-				if md.qmu.isdakota,
-					compressstring=[compressstring md.miscellaneous.name '.qmu.in '];
-				end
-				if cluster.interactive,
-					compressstring=[compressstring md.miscellaneous.name '.run ' md.miscellaneous.name '.errlog ' md.miscellaneous.name '.outlog '];
-				end
-				system(compressstring);
-				
-				disp('uploading input file and queueing script');
-				if cluster.interactive,
-					directory=[cluster.executionpath '/Interactive' num2str(cluster.interactive)];
-				else 
-					directory=cluster.executionpath;
-				end
-				
-				issmscpout(cluster.name,directory,cluster.login,cluster.port,{[md.private.runtimename '.tar.gz']});
-				
-				disp('launching solution sequence on remote cluster');
-				issmssh(cluster.name,cluster.login,cluster.port,launchcommand);
+			 %compress the files into one zip.
+			 compressstring=['tar -zcf ' dirname '.tar.gz '];
+			 for i=1:numel(filelist),
+				 compressstring = [compressstring ' ' filelist{i}];
+			 end
+			 if cluster.interactive,
+				 compressstring = [compressstring ' ' modelname '.errlog ' modelname '.outlog '];
+			 end
+			 system(compressstring);
 
-			else
-				disp('batch mode requested: not launching job interactively');
-				disp('launch solution sequence on remote cluster by hand');
-			end
-		 end
-		 %}}}
-		 function Download(cluster,md)% {{{1
+			 disp('uploading input file and queueing script');
+			 issmscpout(cluster.name,cluster.executionpath,cluster.login,cluster.port,{[dirname '.tar.gz']});
 
-			%some check
-			if isempty(md.private.runtimename),
-				if ~cluster.interactive,
-					error('greenplanet Download error message: supply runtime name for results to be loaded!');
-				end
-			end
+			 disp('launching solution sequence on remote cluster');
+			 launchcommand=['cd ' cluster.executionpath ' && rm -rf ./' dirname ' && mkdir ' dirname ...
+				 ' && cd ' dirname ' && mv ../' dirname '.tar.gz ./ && tar -zxf ' dirname '.tar.gz  && qsub ' modelname '.queue '];
+			 issmssh(cluster.name,cluster.login,cluster.port,launchcommand);
+		 end %}}}
+		 function Download(cluster,dirname,filelist)% {{{
 
-			%Figure out the  directory where all the files are in: 
-			if ~cluster.interactive,
-				directory=[cluster.executionpath '/' md.private.runtimename '/'];
-			else
-				directory=[cluster.executionpath '/Interactive' num2str(cluster.interactive) '/'];
-			end
+			 %copy files from cluster to current directory
+			 directory=[cluster.executionpath '/' dirname '/'];
+			 issmscpin(cluster.name,cluster.login,cluster.port,directory,filelist);
 
-			%What packages are we picking up from remote cluster
-			if ~cluster.interactive,
-				packages={[md.miscellaneous.name '.outlog'],[md.miscellaneous.name '.errlog']};
-			else
-				packages={};
-			end
-			if md.qmu.isdakota,
-				packages{end+1}=[md.miscellaneous.name '.qmu.err'];
-				packages{end+1}=[md.miscellaneous.name '.qmu.out'];
-				if isfield(md.qmu.params,'tabular_graphics_data'),
-					if md.qmu.params.tabular_graphics_data==true,
-						packages{end+1}='dakota_tabular.dat'; 
-					end
-				end
-			else
-				packages{end+1}=[md.miscellaneous.name '.outbin'];
-			end
-
-			%copy files from cluster to present directory
-			issmscpin(cluster.name, cluster.login, cluster.port, directory, packages);
-
-		end %}}}
+		 end %}}}
 	end
 end
